PUT /license/{uuid}

PUT /license/{uuid}

/license/{uuid}/{uuid}

Request
URI
PUT
https://{api_host}/api/license/{uuid}
COPY
Path Parameters
string
uuid
Required  

UUID of the object to fetch

Query Parameters
string
name
Optional

object name

Header Parameters
string
X-Avi-Tenant
Optional

Avi Tenant Header

string
X-Avi-Tenant-UUID
Optional

Avi Tenant Header UUID

string
X-Avi-Version
Required  

The caller is required to set Avi Version Header to the expected version of configuration. The response from the controller will provide and accept data according to the specified version. The controller will reject POST and PUT requests where the data is not compatible with the specified version.

string
X-CSRFToken
Optional

Avi Controller may send back CSRF token in the response cookies. The caller should update the request headers with this token else controller will reject requests.


Request Body

ControllerLicense object creation

ControllerLicense of type(s) application/json
Optional
{
    "_last_modified": "string",
    "active_burst_resources": [
        {
            "accounted_license_id": "string",
            "last_alert_time": "string",
            "license_tier": "string",
            "se_cookie": "string",
            "se_uuid": "string",
            "start_time": "string"
        }
    ],
    "burst_cores": 0,
    "cores": 0,
    "customer_name": "string",
    "disable_enforcement": false,
    "expired_burst_resources": [
        {
            "accounted_license_id": "string",
            "last_alert_time": "string",
            "license_tier": "string",
            "se_cookie": "string",
            "se_uuid": "string",
            "start_time": "string"
        }
    ],
    "initialized": false,
    "license_id": "string",
    "license_tier": [
        "string"
    ],
    "license_tiers": [
        {
            "burst_cores": 0,
            "cores": 0,
            "max_ses": 0,
            "se_bandwidth_limits": [
                {
                    "count": 0,
                    "type": "string"
                }
            ],
            "service_cores": "number",
            "sockets": 0,
            "tier_type": "string"
        }
    ],
    "licenses": [
        {
            "addons": [
                "string"
            ],
            "burst_cores": 0,
            "capacity": "number",
            "ccu": 0,
            "cls_id": "string",
            "cores": "number",
            "cpu_cores": "number",
            "created_on": "string",
            "customer_name": "string",
            "enforced_params": [
                "string"
            ],
            "expired": false,
            "last_update": "string",
            "license_id": "string",
            "license_name": "string",
            "license_string": "string",
            "license_tier": [
                "string"
            ],
            "license_type": "string",
            "max_ses": 0,
            "policy": {
                "expiration_date": "string",
                "expiration_pre_warn": "string",
                "expiration_reason": "string",
                "grace_period": "string",
                "license_warnings": [
                    {
                        "date": "string",
                        "pre_warn": "string",
                        "reason": "string"
                    }
                ]
            },
            "se_bandwidth_limits": [
                {
                    "count": 0,
                    "type": "string"
                }
            ],
            "serial_key": "string",
            "service_cores": "number",
            "sockets": 0,
            "start_on": "string",
            "tenant_uuid": "string",
            "tier_type": "string",
            "unit": "string",
            "valid_until": "string",
            "version": "string"
        }
    ],
    "max_ses": 0,
    "name": "string",
    "se_bandwidth_limits": [
        {
            "count": 0,
            "type": "string"
        }
    ],
    "service_cores": "number",
    "sockets": 0,
    "start_on": "string",
    "tenant_uuid": "string",
    "url": "string",
    "uuid": "string",
    "valid_until": "string"
}
Authentication
This operation uses the following authentication methods.
Responses
200

OK

Returns ControllerLicense of type(s) application/json
{
    "_last_modified": "string",
    "active_burst_resources": [
        {
            "accounted_license_id": "string",
            "last_alert_time": "string",
            "license_tier": "string",
            "se_cookie": "string",
            "se_uuid": "string",
            "start_time": "string"
        }
    ],
    "burst_cores": 0,
    "cores": 0,
    "customer_name": "string",
    "disable_enforcement": false,
    "expired_burst_resources": [
        {
            "accounted_license_id": "string",
            "last_alert_time": "string",
            "license_tier": "string",
            "se_cookie": "string",
            "se_uuid": "string",
            "start_time": "string"
        }
    ],
    "initialized": false,
    "license_id": "string",
    "license_tier": [
        "string"
    ],
    "license_tiers": [
        {
            "burst_cores": 0,
            "cores": 0,
            "max_ses": 0,
            "se_bandwidth_limits": [
                {
                    "count": 0,
                    "type": "string"
                }
            ],
            "service_cores": "number",
            "sockets": 0,
            "tier_type": "string"
        }
    ],
    "licenses": [
        {
            "addons": [
                "string"
            ],
            "burst_cores": 0,
            "capacity": "number",
            "ccu": 0,
            "cls_id": "string",
            "cores": "number",
            "cpu_cores": "number",
            "created_on": "string",
            "customer_name": "string",
            "enforced_params": [
                "string"
            ],
            "expired": false,
            "last_update": "string",
            "license_id": "string",
            "license_name": "string",
            "license_string": "string",
            "license_tier": [
                "string"
            ],
            "license_type": "string",
            "max_ses": 0,
            "policy": {
                "expiration_date": "string",
                "expiration_pre_warn": "string",
                "expiration_reason": "string",
                "grace_period": "string",
                "license_warnings": [
                    {
                        "date": "string",
                        "pre_warn": "string",
                        "reason": "string"
                    }
                ]
            },
            "se_bandwidth_limits": [
                {
                    "count": 0,
                    "type": "string"
                }
            ],
            "serial_key": "string",
            "service_cores": "number",
            "sockets": 0,
            "start_on": "string",
            "tenant_uuid": "string",
            "tier_type": "string",
            "unit": "string",
            "valid_until": "string",
            "version": "string"
        }
    ],
    "max_ses": 0,
    "name": "string",
    "se_bandwidth_limits": [
        {
            "count": 0,
            "type": "string"
        }
    ],
    "service_cores": "number",
    "sockets": 0,
    "start_on": "string",
    "tenant_uuid": "string",
    "url": "string",
    "uuid": "string",
    "valid_until": "string"
}
string
_last_modified
Read-Only  

UNIX time since epoch in microseconds. Units(MICROSECONDS).

array of object
active_burst_resources
Optional

List of active burst core license in use. Field introduced in 17.2.5. Allowed with any value in Enterprise, Essentials, Basic, Enterprise with Cloud Services edition.

integer As uint32 As uint32
burst_cores
Optional

Total number of Service Engine cores for burst core based licenses. Field introduced in 17.2.5. Allowed with any value in Enterprise, Essentials, Basic, Enterprise with Cloud Services edition.

integer As uint32 As uint32
cores
Optional

Number of Service Engine cores in non-container clouds. Allowed with any value in Enterprise, Essentials, Basic, Enterprise with Cloud Services edition.

string
customer_name
Optional

Allowed with any value in Enterprise, Essentials, Basic, Enterprise with Cloud Services edition.

boolean
disable_enforcement
Optional

Field introduced in 17.2.5. Allowed with any value in Enterprise, Essentials, Basic, Enterprise with Cloud Services edition.

array of object
expired_burst_resources
Optional

List of used or expired burst core licenses. Field introduced in 17.2.5. Allowed with any value in Enterprise, Essentials, Basic, Enterprise with Cloud Services edition.

boolean
initialized
Optional

Flag used to track initialization. Field introduced in 20.1.2. Allowed with any value in Enterprise, Essentials, Basic, Enterprise with Cloud Services edition.

string
license_id
Optional

Field introduced in 17.2.5. Allowed with any value in Enterprise, Essentials, Basic, Enterprise with Cloud Services edition.

array of string
license_tier
Optional

Allowed with any value in Enterprise, Essentials, Basic, Enterprise with Cloud Services edition.

array of object
license_tiers
Optional

Field introduced in 17.2.5. Allowed with any value in Enterprise, Essentials, Basic, Enterprise with Cloud Services edition.

array of object
licenses
Optional

Allowed with any value in Enterprise, Essentials, Basic, Enterprise with Cloud Services edition.

integer As uint32 As uint32
max_ses
Optional

Number of Service Engines hosts in container clouds. Allowed with any value in Enterprise, Essentials, Basic, Enterprise with Cloud Services edition.

string
name
Optional

Allowed with any value in Enterprise, Essentials, Basic, Enterprise with Cloud Services edition.

array of object
se_bandwidth_limits
Optional

Service Engine bandwidth limits for bandwidth based licenses. Field introduced in 17.2.5. Allowed with any value in Enterprise, Essentials, Basic, Enterprise with Cloud Services edition.

number As double As double
service_cores
Optional

Number of vmware service cores after aggregating all other license types. Field introduced in 20.1.1. Allowed with any value in Enterprise, Essentials, Basic, Enterprise with Cloud Services edition.

integer As uint32 As uint32
sockets
Optional

Number of physical cpu sockets across Service Engines in no access and linux server clouds. Allowed with any value in Enterprise, Essentials, Basic, Enterprise with Cloud Services edition.

string
start_on
Optional

Allowed with any value in Enterprise, Essentials, Basic, Enterprise with Cloud Services edition.

string
tenant_uuid
Optional

Tenant uuid. Field introduced in 30.1.1. Allowed with any value in Enterprise, Essentials, Basic, Enterprise with Cloud Services edition.

string
url
Read-Only  

url

string
uuid
Optional

Allowed with any value in Enterprise, Essentials, Basic, Enterprise with Cloud Services edition.

string
valid_until
Optional

Allowed with any value in Enterprise, Essentials, Basic, Enterprise with Cloud Services edition.


401

log in failed

Operation doesn't return any data structure

404

object not found

Operation doesn't return any data structure

Code Samples
COPY
                    curl -X PUT -H 'Authorization: <value>' -H 'Content-Type: application/json' -d '{}' https://{api_host}/api/license/{uuid}